Panda3D

Loading...
Searching...
No Matches
Classes | Functions
windowProperties.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "filename.h"`
`#include "pnotify.h"`
`#include "windowHandle.h"`
`#include "lpoint2.h"`
`#include "lvector2.h"`
`#include "windowProperties.I"`

Go to the source code of this file.

## Classes
class | WindowProperties
| A container for the various kinds of properties we might ask to have on a graphics window before we open it. More...

## Functions
std::ostream & | operator<< (std::ostream &out, const WindowProperties &properties)
EXPCL_PANDA_DISPLAY std::ostream & | operator<< (std::ostream &out, WindowProperties::MouseMode mode)
EXPCL_PANDA_DISPLAY std::ostream & | operator<< (std::ostream &out, WindowProperties::ZOrder z_order)
EXPCL_PANDA_DISPLAY std::istream & | operator>> (std::istream &in, WindowProperties::MouseMode &mode)
EXPCL_PANDA_DISPLAY std::istream & | operator>> (std::istream &in, WindowProperties::ZOrder &z_order)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-08-13

Definition in file windowProperties.h.

## Function Documentation

## ◆ operator<<() [1/3]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const WindowProperties & | properties )
| inline

Definition at line 733 of file windowProperties.I.

## ◆ operator<<() [2/3]

EXPCL_PANDA_DISPLAY std::ostream & operator<< | ( | std::ostream & | out,
|  | WindowProperties::MouseMode | mode )

Definition at line 370 of file windowProperties.cxx.

## ◆ operator<<() [3/3]

EXPCL_PANDA_DISPLAY std::ostream & operator<< | ( | std::ostream & | out,
|  | WindowProperties::ZOrder | z_order )

Definition at line 329 of file windowProperties.cxx.

## ◆ operator>>() [1/2]

EXPCL_PANDA_DISPLAY std::istream & operator>> | ( | std::istream & | in,
|  | WindowProperties::MouseMode & | mode )

Definition at line 384 of file windowProperties.cxx.

## ◆ operator>>() [2/2]

EXPCL_PANDA_DISPLAY std::istream & operator>> | ( | std::istream & | in,
|  | WindowProperties::ZOrder & | z_order )

Definition at line 346 of file windowProperties.cxx.